### Constructor

# Hex Document new_from_file

#### Declaration

    HexDocument*
    hex_document_new_from_file (
      GFile* file
    )

#### Description

A convenience method to create a new `HexDocument` from file.

#### Parameters

`file`

  Type: `GFile`

  A `GFile` pointing to a valid file on the system.

  The data is owned by the caller of the function.

#### Return value

Type: `HexDocument`

A `HexDocument` pre-loaded with a `GFile` ready for a `read` operation, or `NULL` if the operation failed.

The caller of the function takes ownership of the data, and is responsible for freeing it.